CALIBREDB(1)

NAME
calibredb - calibredb

calibredb polecenie [opcje] [argumenty]

command:calibredb jest interfejsem wiersza poleceń do bazy danych calibre. Posiada kilka podkomend, udokumentowanych poniżej.

komenda:calibredb może być użyta do manipulowania bazą danych calibre określoną przez ścieżkę lub calibre Content server działającą na komputerze na komputerze lokalnym lub przez Internet. Można uruchomić calibre guilabel:Serwer treści używając calibre-server lub w głównym programie calibre klikając Connect/share  → Start Content server. Ponieważ calibredb może dokonywać zmian w bibliotekach calibre, należy najpierw skonfigurować uwierzytelnianie na serwerze. Istnieją są na to dwa sposoby:

•   Jeśli planujesz łączyć się tylko z serwerem uruchomionym na tym samym komputerze,

    można po prostu użyć opcji --enable-local-write serwera Content, aby zezwolić dowolnemu programowi, w tym calibredb, działającemu na komputerze na komputerze lokalnym na dokonywanie zmian w danych calibre. Podczas uruchamiania serwera z głównego programu calibre, opcja ta znajduje się w guilabel:Preferencje->Udostępnianie przez sieć->Zaawansowane.

•   Jeśli chcesz włączyć dostęp przez Internet, powinieneś skonfigurować konta użytkowników na serwerze i użyć

    konta użytkowników na serwerze i użyć opcji --username i --password. aby nadać im dostęp. Można skonfigurować uwierzytelnianie użytkownika dla calibre-server używając opcji --enable-auth. i używając -manage-users do utworzenia kont użytkowników. Jeśli uruchamiasz serwer z głównego programu calibre, użyj guilabel:Preferences->Sharing over the net->Require username/password.

    Aby połączyć się z uruchomionym serwerem treści, przekaż adres URL serwera do opcji --with-library, zobacz dokumentację tej opcji dla szczegóły i przykłady.

•   OPCJE GLOBALNE

•   list

•   add

•   DODAWANIE Z FOLDERÓW

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPCJE

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

OPCJE GLOBALNE

--help, -h
    wyświetla ten tekst pomocy i kończy działanie

--library-path, --with-library
    Ścieżka do biblioteki calibre. Domyślnie używana jest ścieżka zapisana w ustawieniach. Możesz także połączyć się z serwerem zawartości calibre, aby wykonywać działania na zdalnych bibliotekach. Aby to zrobić, użyj adresu URL w postaci: http://nazwa_hosta:port/#id_biblioteki, na przykład http://localhost:8080/#mylibrary.id_biblioteki to identyfikator biblioteki, z którą chcesz się połączyć na serwerze zawartości. Możesz użyć specjalnej wartości Library_id wynoszącej -, aby uzyskać listę identyfikatorów bibliotek dostępnych na serwerze. Aby uzyskać szczegółowe informacje na temat konfigurowania dostępu przez serwer treści, zobacz https://manual.calibre-ebook.com/pl/generated/pl/calibredb.html.

--password
    Hasło do połączenia z serwerem treści calibre. Aby odczytać hasło ze standardowego wejścia, użyj specjalnej wartości: <stdin>. Aby odczytać hasło z pliku, użyj: <f:/path/to/file> (tj. <f: followed by the full path to the file and a trailing >). Wymagane są nawiasy kątowe podane powyżej, pamiętaj, aby je uciec lub użyj cudzysłowu dla swojej powłoki.

--timeout
    Limit czasu w sekundach podczas łączenia się z biblioteką calibre przez sieć. Wartość domyślna to dwie minuty.

--username
    Nazwa użytkownika służąca do połączenia się z serwerem zawartości calibre

--version
    wyświetla wersję programu i kończy działanie

LIST

calibredb list [options]

Wyświetl książki dostępne w bazie danych calibre.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--ascending
    Posortuj wyniki rosnąco

--fields, -f
    Pola do wyświetlenia podczas wyświetlania książek w bazie danych. Powinna być oddzielona przecinkami lista pól Dostępne pola: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Domyślnie: % domyślnie. Do wybrania wszystkich pól można użyć specjalnego pola „wszystkie”. Oprócz wbudowanych pól powyżej pola niestandardowe są również dostępne jako *nazwa_pola, na przykład dla niestandardowego pola #oceń, użyj nazwy: *ocena

--for-machine
    Generuj wynik w formacie JSON, bardziej odpowiednim do przetwarzania maszynowego. W tym przypadku szerokość wiersza i separator są ignorowane.

--limit
    Maksymalna liczba wyświetlanych rezultatów. Domyślnie: all

--line-width, -w
    Maksymalna szerokość pojedynczej linii w pliku wynikowym. Domyślnie dostosowana do wykrytego rozmiaru ekranu.

--prefix
    Przedrostek dla wszystkich ścieżek do plików. Domyślnie jest to ścieżka absolutna do folderu biblioteki.

--search, -s
    Filtruj wyniki wg zapytania wyszukiwania. Format zapytania wyszukiwania można znaleźć w dokumentacji wyszukiwania w Podręczniku użytkownika. Domyślnie brak filtrowania.

--separator
    Znak używany do oddzielania pól. Domyślny to spacja.

--sort-by
    Pole, według którego mają być sortowane wyniki. Możesz określić wiele pól, oddzielając je przecinkami. Dostępne pola: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Domyślnie: id

--template
    Szablon do uruchomienia, jeśli na liście pól znajduje się „template”. Domyślnie: Brak

--template_file, -t
    Ścieżka do pliku zawierającego szablon do uruchomienia, jeśli na liście pól znajduje się „template”. Domyślnie: Brak

--template_heading
    Nagłówek kolumny szablonu. Domyślnie: %domyślnie. Ta opcja jest ignorowana, jeśli ustawiona jest opcja --for-machine

ADD

calibredb add [options] file1 file2 file3 ...

Dodaj określone pliki jako książki do bazy danych. Możesz także określić foldery, zobacz poniższe opcje związane z folderami.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--authors, -a
    Określ autorów dodanych książek

--automerge, -m
    Jeśli zostaną znalezione książki o podobnych tytułach i autorach, automatycznie połącz przychodzące formaty (pliki) z istniejącymi rekordami książek. Wartość „ignoruj” oznacza, że zduplikowane formaty są odrzucane. Wartość „nadpisuj” oznacza, że zduplikowane formaty w bibliotece są nadpisywane nowo dodanymi plikami. Wartość „nowy_record” oznacza, że zduplikowane formaty są umieszczane w nowym rekordzie książki.

--cover, -c
    Ścieżka do okładki używanej dla dodanej książki

--duplicates, -d
    Dodawaj książki do bazy danych, nawet jeśli już istnieją. Porównanie odbywa się na podstawie tytułów książek i autorów. Zauważ, że opcja --automerge ma pierwszeństwo.

--empty, -e
    Dodaj pustą książkę (książkę bez żadnych formatów)

--identifier, -I
    Ustaw identyfikatory tej książki, np. -I asin:XXX -I isbn:YYY

--isbn, -i
    Podaj ISBN dodanych książek

--languages, -l
    Oddzielona przecinkami lista języków (najlepiej użyć kodów językowych ISO639, choć niektóre nazwy języków mogą również zostać rozpoznane)

--series, -s
    Podaj serie dla dodanych książek

--series-index, -S
    Określ numer w cyklu dla dodanych książek

--tags, -T
    Podaj etykiety dla dodanych książek

--title, -t
    Określ tytuły dodanych książek

  DODAWANIE Z FOLDERÓW

Opcje kontroli dodawania książek z folderów. Domyślnie dodawane są tylko pliki, które mają rozszerzenia znanych typów plików e-booków.

--add
    Wzorzec nazwy pliku (glob), pliki pasujące do tego wzorca zostaną dodane podczas skanowania folderów w poszukiwaniu plików, nawet jeśli nie są one znanego typu pliku e-book. Można określić wielokrotnie dla wielu wzorów.

--ignore
    Wzorzec nazwy pliku (glob), pliki pasujące do tego wzorca będą ignorowane podczas skanowania folderów w poszukiwaniu plików. Można określić wielokrotnie dla wielu wzorów. Na przykład: *.pdf zignoruje wszystkie pliki PDF

--one-book-per-directory, -1
    Załóżmy, że każdy folder ma tylko jedną książkę logiczną i że wszystkie znajdujące się w nim pliki mają różne formaty e-booków tej książki

--recurse, -r
    Przetwarzaj foldery rekurencyjnie

REMOVE

calibredb remove ids

Usuń książki zidentyfikowane przez identyfikatory z bazy danych. ids powinny być oddzieloną przecinkami listą numerów identyfikacyjnych (numery identyfikacyjne można uzyskać za pomocą polecenia wyszukiwania). Na przykład 23,34,57-85 (przy określaniu zakresu ostatnia liczba z zakresu nie jest uwzględniana).

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--permanent
    Nie używaj Kosz

ADD_FORMAT

calibredb add_format [opcje] id plik_książki

Dodaj plik_książki do dostępnych formatów książki o identyfikatorze id. Identyfikator można uzyskać za pomocą polecenia wyszukiwania. Jeśli format istnieje, zostanie zastąpiony - o ile nie użyto opcji nie zastępować.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--as-extra-data-file
    Dodaj plik jako dodatkowy plik danych do książki, a nie jako format ebooka.

--dont-replace
    Nie zamieniaj formatu jeśli istnieje

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Usuń format fmt z księgi logicznej zidentyfikowanej przez id. Możesz uzyskać id za pomocą polecenia wyszukiwania. fmt powinno być rozszerzeniem pliku, takim jak LRF, TXT lub EPUB. Jeśli książka logiczna nie ma dostępnego fmt, nie rób nic.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Pokaż metadane przechowywane w bazie danych calibre dla księgi identyfikowanej przez identyfikator. id to numer identyfikacyjny z polecenia wyszukiwania.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--as-opf
    Wydrukuj metadane w formacie OPF (XML)

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Ustaw metadane przechowywane w bazie danych calibre dla księgi identyfikowanej przez book_id z pliku OPF metadata.opf. book_id to numer identyfikacyjny książki z polecenie wyszukiwania. Możesz szybko zapoznać się z formatem OPF, używając pliku --as-opf przełącz na polecenie show_metadata. Możesz także ustawić metadane pliku poszczególne pola za pomocą opcji --field. Jeśli użyjesz opcji --field, tam nie ma potrzeby określania pliku OPF.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--field, -f
    Pole do zmiany w formacie nazwa_pola:wartość. Na przykład --field tags:etykieta1,etykieta2. Użyj --list-fields jeśli chcesz otrzymać listę wszystkich pól. Możesz użyć tej opcji wielokrotnie, aby zmienić jednocześnie wiele pól. Uwaga: dla języków należy użyć kodów języków zgodnych z ISO639 (tzn. en dla angielskiego, fr dla francuskiego, pl dla polskiego itd.) Dla identyfikatorów należy użyć składni --field identifiers:isbn:XXXX,doi:YYYYY. W przypadku pól boolean (tak/nie) należy użyć true/false albo tak/nie.

--list-fields, -l
    Lista pól, które mogą być użyte z opcją --field

EXPORT

calibredb export [opcje] ids

Eksportuje książki określone przez ids (lista rozdzielana przecinkami) do systemu plików. Operacja eksportu zapisuje wszystkie formaty książki, jej okładkę i metadane (w pliku pliku OPF). Wszelkie dodatkowe pliki danych powiązane z książką są również zapisywane. Numery id można uzyskać za pomocą polecenia wyszukiwania.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--all
    Eksportuj wszystkie książki w bazie, ignoruj listę identyfikatorów.

--dont-asciiize
    Przekonwertuj wszystkie inne niż angielskie znaki Calibre na angielskie odpowiedniki nazw plików. Jest to przydatne, jeśli zapisujesz do starszego systemu plików bez pełnej obsługi nazw plików Unicode. Określając ten przełącznik wyłączysz to zachowanie.

--dont-save-cover
    Calibre zapisze okładkę w oddzielnym pliku obok właściwego pliku z książką. Określając ten przełącznik wyłączysz to zachowanie.

--dont-save-extra-files
    Zapisywanie wszelkich plików danych powiązanych z książką podczas zapisywania książki Określając ten przełącznik wyłączysz to zachowanie.

--dont-update-metadata
    Zwykle calibre uaktualni metadane w zapisanych plikach tymi, które są w bibliotece calibre. Sprawia, że zapisywanie na dysku jest wolniejsze. Określając ten przełącznik wyłączysz to zachowanie.

--dont-write-opf
    Calibre zapisze metadane do osobnego pliku OPF obok właściwego pliku z książką. Określając ten przełącznik wyłączysz to zachowanie.

--formats
    Oddzielana przecinkami lista formatów do zapisania dla każdej książki. Domyślnie zapisywane są wszystkie dostępne formaty.

--progress
    Postęp

--replace-whitespace
    Zastąp spacje podkreśleniami.

--single-dir
    Eksportuj wszystkie książki do pojedynczego katalogu

--template
    Szablon do kontrolowania nazwy pliku i struktury folderów zapisanych plików. Domyślnie jest to „{author_sort}/{title}/{title} - {authors}”, które zapisuje książki w podfolderze dla poszczególnych autorów z nazwami plików zawierającymi tytuł i autora. Dostępne kontrolki to: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Format wyświetlania dat. %d - dzień, %b - miesiąc, %m - numer miesiąca, %Y - rok. Domyślnie: %b, %Y

--to-dir
    Eksportuj książki do wybranego katalogu. Domyślny to .

--to-lowercase
    Przekształć ścieżki dostępu na małe litery.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--ids, -i
    Lista ID oddzielona przecinkami do katalogu. Jeśli jest zadeklarowane, --search jest ignorowane. Domyślnie: wszystkie (all)

--search, -s
    Filtruj wyniki wg zapytania wyszukiwania. Format zapytania wyszukiwania można znaleźć w dokumentacji wyszukiwania w Podręczniku użytkownika. Domyślnie: brak filtrowania

--verbose, -v
    Pokazuj szczegółową informację wyjściową. Przydatne przy debugowaniu

  EPUB OPCJE

--catalog-title
    Tytuł wygenerowanego katalogu używany jako tytuł w metadanych. Domyślnie: 'My Books' Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Zapisz dane wyjściowe z różnych etapów potoku konwersji w określonym folderze. Przydatne, jeśli nie masz pewności, na którym etapie procesu konwersji występuje błąd. Domyślnie: „None” Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Włącz sekcję "Autorzy" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-descriptions
    Włącz sekcję "Opisy" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-genres
    Włącz sekcję "Gatunki" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-recently-added
    Włącz sekcję "Ostatnio dodane" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-series
    Włącz sekcję "Serie" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--generate-titles
    Włącz sekcję "Tytuły" do katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--genre-source-field
    Pole źródłowe dla sekcji "Gatunki". Domyślnie: 'Etykiety' Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--header-note-source-field
    Pole użytkownika zawierające tekst włączany do opisu. Domyślnie: '' Dotyczy formatów wyjściowych: AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Określa profil wyjściowy. W niektórych przypadkach profil wyjściowy jest konieczny do optymalizacji dla konkretnego urządzenia. Na przykład w przypadku 'kindle' lub 'kindle_dx' tworzy strukturę spisu treści z sekcjami i artykułami. Domyślnie: 'None' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--prefix-rules
    Określa reguły używane do przypisywania przedrostków oznaczających przeczytane książki, listę życzeń i inne zdefiniowane przez użytkownika. Schemat reguły jest następujący: ('<nazwa reguły>','<pole źródłowe>','<wzorzec>','<przedrostek>'). Jeśli zdefiniowano wiele reguł zostanie zastosowana pierwsza pasująca. Domyślnie: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Dotyczy formatów: AZW3, EPUB, MOBI

--preset
    Użyj zestawu stworzonego za pomocą GUI Catalog buildera. Zestaw zawiera wszystkie ustawienia potrzebne do utworzenia katalogu. Domyślnie: 'None' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--thumb-width
    Podpowiedź rozmiaru (w calach) dla okładek książek w katalogu. Zakres: 1.0 – 2.0 Domyślnie: '1.0' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

--use-existing-cover
    Zamień istniejącą okładkę przy generowaniu katalogu. Domyślnie: 'False' Dotyczy formatów wyjściowych AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Zarządzaj zapisanymi wyszukiwaniami przechowywanymi w tej bazie danych. Jeśli spróbujesz dodać zapytanie o nazwie, która już istnieje, będzie to wymieniony.

Składnia dodawania:

calibredb saved_searches add search_name search_expression

Składnia do usuwania:

%p rog saved_searches remove search_name

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Stwórz własną kolumnę. label to nazwa kolumny w języku komputerowym. Nie powinna zawierać spacji ani dwukropka. name to nazwa ludzka kolumny. datatype to jeden z: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--display
    Słownik opcji, określających jak będą interpretowane dane w tej kolumnie. Są one w formacie JSON. Do wyświetlenia kolumn można użyć --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Zmienna display może przyjąć wiele opcji. Dla kolejnych typów kolumn: złożone: composite_template, composite_sort, make_category, contains_html, use_decorations daty i czasu: date_format wyliczenia: enum_values, enum_colors, use_decorations liczbowe: number_format tekstowe: is_names, use_decorations Najlepszym sposobem na znalezienie właściwej kombinacji jest stworzenie własnej kolumny odpowiedniego typu w interfejsie użytkownika, a potem zajrzenie do pliku OPF książki (przy założeniu, że plik OPF został uaktualniony po stworzeniu kolumny). Tam znajduje się JSON dla nowej kolumny.

--is-multiple
    Ta kolumna przechowuje dane etykietopodobne (np. wielokrotne wartości oddzielone przecinkami). Ma zastosowanie tylko jeśli typ danych to tekst.

CUSTOM_COLUMNS

calibredb custom_columns [opcje]

Wyświetla listę dostępnych, własnych kolumn. Pokazuje ich nazwę oraz id.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--details, -d
    Pokaż szczegóły dla każdej kolumny.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Usuń niestandardową kolumnę oznaczoną etykietą. Możesz zobaczyć dostępne kolumny z poleceniem custom_columns.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--force, -f
    Nie pytaj o potwierdzenie

SET_CUSTOM

calibredb set_custom [options] column id value

Ustaw wartość kolumny niestandardowej dla książki identyfikowanej przez identyfikator. Możesz uzyskać listę identyfikatorów za pomocą polecenia wyszukiwania. Możesz uzyskać listę niestandardowych nazw kolumn za pomocą custom_columns Komenda.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--append, -a
    Jeśli kolumna przechowuje wielokrotne wartości, dołącz określone wartości do istniejących, zamiast je zastępować.

RESTORE_DATABASE

calibredb restore_database [options]

Przywróć tę bazę danych z metadanych przechowywanych w plikach OPF w każdym folder biblioteki calibre. Jest to przydatne, jeśli plik metadata.db został uszkodzony.

OSTRZEŻENIE: To polecenie całkowicie regeneruje twoją bazę danych. Przegrasz wszystkie zapisane wyszukiwania, kategorie użytkowników, wtyczki, zapisane konwersje według książki ustawienia i niestandardowe przepisy. Przywrócone metadane będą tak dokładne, jak co znajduje się w plikach OPF.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--really-do-it, -r
    Naprawdę dokonaj przywrócenia. Ta komenda nie uruchomi się dopóki ta opcja nie zostanie określona.

CHECK_LIBRARY

calibredb check_library [options]

Wykonaj sprawdzenie w systemie plików biblioteki. Zgłoszenia są invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--csv, -c
    Wynik w CSV

--ignore_extensions, -e
    Lista rozszerzeń rozdzielona przecinkiem do zignorowania. Domyślnie: wszystkie

--ignore_names, -n
    Lista nazw rozdzielona przecinkiem do zignorowania. Domyślnie: wszystkie

--report, -r
    Lista raportów rozdzielona przecinkiem. Domyślnie: wszystkie

--vacuum-fts-db
    Wyczyść bazę danych wyszukiwania pełnotekstowego. W zależności od rozmiaru bazy danych może to być bardzo powolne i wymagać dużej ilości pamięci.

LIST_CATEGORIES

calibredb list_categories [options]

Utwórz raport informacji o kategoriach w bazie danych. The informacja jest odpowiednikiem tego, co jest wyświetlane w przeglądarce znaczników.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--categories, -r
    Lista kategorii wyszukiwań nazw oddzielona przecinkami. Domyślnie: wszystkie

--csv, -c
    Wynik w CSV

--dialect
    Rodzaj pliku CSV do utworzenia. Wybór: excel, excel-tab, unix

--item_count, -i
    Wyprowadź tylko taką ilość elementów w kategorii zamiast wyliczać na każdy element wewnątrz kategorii

--width, -w
    Maksymalna szerokość pojedynczej linii w pliku wynikowym. Domyślnie dostosowana do wykrytego rozmiaru ekranu.

BACKUP_METADATA

calibredb backup_metadata [options]

Utwórz kopię zapasową metadanych przechowywanych w bazie danych w osobnych plikach OPF w każdym folder książek. Zwykle dzieje się to automatycznie, ale możesz to uruchomić polecenie, aby wymusić ponowne generowanie plików OPF, z opcją --all.

Pamiętaj, że zwykle nie ma takiej potrzeby, ponieważ kopia zapasowa plików OPF jest tworzona automatycznie przy każdej zmianie metadanych.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--all
    Domyślnie to polecenie operuje na książkach, które mają nieaktualne pliki OPF. Ta opcja powoduje, że działaniem zostaną objęte wszystkie książki.

CLONE

calibredb clone path/to/new/library

Utwórz klon bieżącej biblioteki. Tworzy to nową, pustą bibliotekę, która zawiera wszystkie takie same kolumny niestandardowe, biblioteki wirtualne i inne ustawienia, jak bieżąca biblioteka.

Sklonowana biblioteka nie będzie zawierać żadnych książek. Jeśli chcesz utworzyć pełny duplikat, w tym wszystkie książki, a następnie po prostu użyj narzędzi systemu plików, aby skopiować folder biblioteki.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [opcje] id_książki

Uaktualnij metadane w plikach książki z biblioteki calibre na podstawie bazy danych biblioteki Domyślnie metadane są uaktualniane jedynie podczas eksportowania plików z calibre, to polecenie pozwala na uaktualnienie ich bez eksportu. Należy pamiętać, że różne formaty obsługują różne metadane. Można użyć specjalnej wartości 'all' jako id_książki, by uaktualnić metadane we wszystkich książkach w bibliotece. Można również podać wiele identyfikatorów książek, oddzielając je spacjami oraz zakresy identyfikatorów, w których są one oddzielone myślnikami. Na przykład: calibredb embed_metadata 1 2 10-15 23

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--only-formats, -f
    Uaktualnij metadane wyłącznie w plikach o podanym formacie. Podaj wielokrotnie dla wielu formatów. Domyślnie uaktualniane są wszystkie formaty.

SEARCH

calibredb search [options] search expression

Przeszukaj bibliotekę dla określonego wyszukiwanego terminu, zwracając przecinek rozdzielony lista identyfikatorów książek pasujących do wyrażenia wyszukiwania. Format wyjściowy jest przydatny do zasilania innych poleceń, które akceptują listę identyfikatorów jako dane wejściowe.

Wyrażenie wyszukiwania może być dowolne z potężnego zapytania wyszukiwania calibre język, na przykład: calibredb search author:asimov 'title:"i robot"'

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--limit, -l
    Maksymalna liczba wyświetlanych rezultatów. Domyślnie wszystkie.

FTS_INDEX

calibredb fts_index [opcje] enable/disable/status/reindex

Kontroluje proces indeksowania wyszukiwania pełnotekstowego.

enable Włącza indeksowanie FTS dla tej biblioteki disable Wyłącza indeksowanie FTS dla tej biblioteki status Pokazuje bieżący status indeksowania reindex Może być użyty do ponownego indeksowania poszczególnych książek lub całej biblioteki. Aby ponownie zindeksować poszczególne książki należy podać identyfikatory książek jako dodatkowe argumenty po poleceniu reindex. Jeśli nie podano identyfikatorów książek indeksowana jest cała biblioteka.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--indexing-speed
    Szybkość indeksowania. Użyj szybko, aby szybko indeksować przy użyciu wszystkich zasobów komputera, i wolno, aby indeksować mniej zasobów. Zauważ, że prędkość jest resetowana do niskiej po każdym wywołaniu.

--wait-for-completion
    Poczekaj, aż wszystkie książki zostaną zindeksowane, okresowo pokazując postęp indeksowania

FTS_SEARCH

calibredb fts_search [options] search expression

Wykonaj wyszukiwanie pełnotekstowe w całej bibliotece lub jej podzbiorze.

Ilekroć przekazujesz argumenty do calibredb, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

--do-not-match-on-related-words
    Dopasuj tylko dokładne słowa, które nie są powiązane. Więc korekta nie będzie pasować do korekty.

--include-snippets
    Dołącz fragmenty tekstu otaczającego każde dopasowanie. Zauważ, że to znacznie spowalnia wyszukiwanie.

--indexing-threshold
    Jaka część biblioteki musi zostać zindeksowana, zanim wyszukiwanie będzie dozwolone, w procentach. Domyślnie 90

--match-end-marker
    Znacznik używany do wskazania końca dopasowanego słowa we fragmencie

--match-start-marker
    Znacznik używany do wskazania początku dopasowanego słowa we fragmencie

--output-format
    Format, w którym mają być wyświetlane wyniki wyszukiwania. „text” dla zwykłego tekstu lub „json” dla danych wyjściowych JSON.

--restrict-to
    Ogranicz wyszukiwane książki, używając wyrażenia wyszukiwania lub identyfikatorów. Na przykład: ids:1,2,3, aby ograniczyć według identyfikatorów lub search:tag:foo, aby ograniczyć do książek z tagiem foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal